# SourcePath: memtester/20130401dev
Summary: memory test
Name: sony-target-dev-memtester
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-memtester
Version: 4.3.0
Release: 14020101
URL: http://pyropus.ca/software/memtester/
Source: memtester-%{version}.tar.gz
Patch0: memtester-%{version}-cross-compile.patch
License: GPL2
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Buildroot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}

%description
memtester is a utility for testing the memory subsystem in a computer to
determine if it is faulty.

%package -n %{pkgname}
Summary: memory test
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
memtester is a utility for testing the memory subsystem in a computer to
determine if it is faulty.

%prep
%setup -n memtester-%{version}
%patch0 -p1

%build
%sony_target_dev_setup
make CC="${CC}"

%install
rm -rf %{buildroot}
%sony_target_dev_setup

mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}/man8
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}

install -m 755 memtester %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}
gzip -c memtester.8 >memtester.8.gz
install -m 644 memtester.8.gz %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}/man8

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}

cp COPYING LICENSE

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_bin_dir}/memtester

%changelog
* Mon May 31 2021 Sony Group Corporation
- Initial build for 14.2.1.0

* Mon Jun 17 2019 Sony Corporation
- Initial build for 14.2.0.1

* Wed Apr 19 2019 Sony Corporation
- Initial build for CE-Linux-14.2.0.x.

* Mon Dec 25 2018 Sony Corporation
- Initial build for CE-Linux-14.1.0.x.

* Mon Apr 01 2013 Sony Corporation
- Updated to 4.3.0

* Wed Apr 15 2009 Sony Corporation
- Updated to 6.x

* Fri May 02 2008 Sony Corporation
- Revise License from GPL to GPL2

* Mon Apr 28 2008 Sony Corporation
- Initial build
